New Search

.NET Framework Heap Corruption Vulnerability

oval:org.mitre.oval:def:14513

Microsoft .NET Framework 2.0 SP2 and 3.5.1 does not properly calculate the length of an unspecified buffer which allows remote attackers to execute arbitrary code via (1) a crafted XAML browser application (aka XBAP) (2) a crafted ASP.NET application or (3) a crafted .NET Framework application aka ".NET Framework Heap Corruption Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows XP
  • Microsoft Windows 7
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2003
  • Microsoft Windows Vista
Class:
vulnerability
Reference(s):
  • CVE-2012-0015
Product(s):
  • Microsoft .NET Framework 3.5.1
  • Microsoft .NET Framework 2.0
  • Microsoft .NET Framework 4